from fastapi import APIRouter, Request
from typing import Any, List, Dict, Union
from app.services.tjnetwork import Any, get_all_users, get_user, get_user_schema

router = APIRouter()

###########################################################
# user 39
###########################################################

@router.get("/getuserschema/")
async def fastapi_get_user_schema(network: str) -> dict[str, dict[Any, Any]]:
    return get_user_schema(network)

@router.get("/getuser/")
async def fastapi_get_user(network: str, user_name: str) -> dict[Any, Any]:
    return get_user(network, user_name)

@router.get("/getallusers/")
async def fastapi_get_all_users(network: str) -> list[dict[Any, Any]]:
    return get_all_users(network)